# License

MIT License

Copyright (c) 2025 Krishna Bajpai

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.

---

## Third-Party Licenses

This project uses several open-source libraries. Below are their respective licenses:

### Qiskit
Apache License 2.0  
Copyright IBM Corporation

### PennyLane
Apache License 2.0  
Copyright Xanadu Quantum Technologies Inc.

### NumPy
BSD 3-Clause License  
Copyright (c) 2005-2024, NumPy Developers

### SciPy
BSD 3-Clause License  
Copyright (c) 2001-2024 SciPy Developers

### scikit-learn
BSD 3-Clause License  
Copyright (c) 2007-2024 The scikit-learn developers

### Matplotlib
Matplotlib License (BSD-style)  
Copyright (c) 2002-2024 John D. Hunter, Matplotlib Development Team

### Pandas
BSD 3-Clause License  
Copyright (c) 2008-2024, AQR Capital Management, LLC, Lambda Foundry, Inc. and PyData Development Team

### Click
BSD 3-Clause License  
Copyright 2014 Pallets

### PyYAML
MIT License  
Copyright (c) 2017-2024 Ingy döt Net, Copyright (c) 2006-2016 Kirill Simonov

### tqdm
MIT License  
Copyright (c) 2013 noamraph

### Jupyter
BSD 3-Clause License  
Copyright (c) Jupyter Development Team

### Plotly
MIT License  
Copyright (c) 2016-2024 Plotly, Inc

### Seaborn
BSD 3-Clause License  
Copyright (c) 2012-2024, Michael Waskom

---

## Attribution

This software includes concepts and methodologies from various research papers and open-source projects in the quantum computing and machine learning communities. We acknowledge the contributions of researchers and developers who have made this work possible.

### Key Research References

- Quantum embeddings for machine learning (Schuld & Killoran, 2019)
- Expressibility and entangling capability of parameterized quantum circuits (Sim et al., 2019)
- Barren plateaus in quantum neural network training landscapes (McClean et al., 2018)
- Quantum advantage in training binary neural networks (Liu et al., 2021)

For a complete list of references, please see our documentation.

---

## Commercial Use

This software is free for commercial use under the MIT License. However, users should be aware that:

1. Quantum computing hardware access may require separate licensing or service agreements with quantum cloud providers
2. Some advanced features may depend on proprietary quantum software stacks
3. Users are responsible for ensuring compliance with export control regulations when using quantum technologies

---

## Contact

For licensing questions or commercial inquiries, please contact:

**Krishna Bajpai**  
Email: bajpaikrishna715@gmail.com  
GitHub: [@krish567366](https://github.com/krish567366)

Project Repository: [https://github.com/krish567366/quantum-data-embedding-suite](https://github.com/krish567366/quantum-data-embedding-suite)
